Bug 1202338 - (CVE-2015-0291) CVE-2015-0291 openssl: ClientHello sigalgs NULL pointer dereference DoS
CVE-2015-0291 openssl: ClientHello sigalgs NULL pointer dereference DoS
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150319,repo...
: Security
Depends On:
Blocks: 1202442
  Show dependency treegraph
 
Reported: 2015-03-16 08:44 EDT by Martin Prpič
Modified: 2015-07-14 10:13 EDT (History)
47 users (show)

See Also:
Fixed In Version: openssl 1.0.2a
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-17 04:09:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-03-16 08:44:52 EDT
A NULL pointer dereference flaw was found in the way OpenSSL handled renegotiation requests with an invalid Signature Algorithms extension. A remote attacker could use this flaw to cause an OpenSSL server to crash.

This issue affects OpenSSL version 1.0.2, and was fixed in version 1.0.2a.

Acknowledgements:

Red Hat would like to thank the OpenSSL project for reporting this issue. Upstream acknowledges David Ramos of Stanford University as the original reporter.
Comment 1 Tomas Hoger 2015-03-17 04:06:36 EDT
Affected code was introduced upstream in version 1.0.2 via this commit:

https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=c70a1fee

It does not existing in openssl packages in Red Hat Enterprise Linux 7 and earlier.

Statement:

This issue did not affect the versions of openssl as shipped with Red Hat Enterprise Linux 5, 6, and 7.

Note You need to log in before you can comment on or make changes to this bug.